For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

List Quotes

GET
https://api-b2b.bigcommerce.com/api/v2/rfq
GET
/api/v2/rfq
$curl -G https://api-b2b.bigcommerce.com/api/v2/rfq \
> -H "Authorization: Bearer <token>" \
> -d offset=10 \
> -d limit=25 \
> -d sortBy=createdAt \
> -d orderBy=ASC \
> --data-urlencode "q=Marie Curie" \
> -d quoteNumber=QN000023 \
> --data-urlencode "company=Great Buys Incorporated" \
> --data-urlencode "salesRep=Isaac Newton" \
> -d status=1 \
> --data-urlencode "quoteTitle=Plants Bulk Request" \
> --data-urlencode "createdBy=Marie Curie" \
> --data-urlencode dateCreatedBeginAt=10/01/2022 \
> --data-urlencode dateCreatedEndAt=01/01/2025 \
> --data-urlencode dateUpdatedBeginAt=10/01/2022 \
> --data-urlencode dateUpdatedEndAt=01/01/2025 \
> --data-urlencode dateExpiredBeginAt=10/01/2022 \
> --data-urlencode dateExpiredEndAt=01/01/2025
200Retrieved
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "list": [
6 {
7 "quoteId": 123456,
8 "company": "Great Buys Incorporated",
9 "salesRep": "Isaac Newton",
10 "updatedAt": 1745346153,
11 "contactName": "Marie Curie",
12 "contactEmail": "mcurie@greatbuysinc.com",
13 "channelName": "B2B Store",
14 "quoteNumber": "QN000123",
15 "createdBy": "Marie Curie",
16 "createdAt": 1745346034,
17 "status": 1,
18 "bcOrderId": 123,
19 "orderId": "123456",
20 "channelId": 1,
21 "currency": {
22 "location": "left",
23 "token": "$",
24 "decimalToken": ".",
25 "decimalPlaces": 2,
26 "thousandsToken": ",",
27 "currencyCode": "USD",
28 "currencyExchangeRate": 1.34
29 },
30 "extraFields": [
31 {
32 "fieldName": "Do you require any customizations to the products?",
33 "fieldValue": "No"
34 }
35 ],
36 "quoteTitle": "Plants Bulk Request",
37 "referenceNumber": "04292025-0001",
38 "expiredAt": 1749275999,
39 "subtotal": 200
40 }
41 ],
42 "pagination": {
43 "totalCount": 250,
44 "offset": 1,
45 "limit": 1
46 }
47 }
48}
Retrieves basic information for all sales quotes assigned to the Company user. If the user's [quote permissions](/developer/api-reference/rest/b2b/storefront/request-for-quote#buyer-permissions) are set to the **Company** level, this will also return quotes assigned to all buyers in the Company account. The information in the response is equivalent to the details displayed in the quotes list, such as dates for creation and the last edit, or the status. Use [Get Quote Details](#get-rfq-quote_id) to return the information that is available while viewing a particular quote. Equivalent Storefront GraphQL Query: `quotes`.
Was this page helpful?
Previous

Quotes

Next

Create Quote

Built with

Retrieves basic information for all sales quotes assigned to the Company user. If the user’s quote permissions are set to the Company level, this will also return quotes assigned to all buyers in the Company account.

The information in the response is equivalent to the details displayed in the quotes list, such as dates for creation and the last edit, or the status. Use Get Quote Details to return the information that is available while viewing a particular quote.

Equivalent Storefront GraphQL Query: quotes.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Query parameters

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10
Determines the number of records to return per page. If left blank, this defaults to '10'.
sortByenumOptionalDefaults to updatedAt

Sorts results by last updated date (updatedAt), creation date (createdAt), expiration date (expiredAt), quote number (quoteNumber), quote title (title), sales rep name (salesRep), or quote status (status).

orderByenumOptionalDefaults to DESC
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
qstringOptional
Enter quote information to return partial and exact matches. Accepted information fields include number, title, sales rep name, and Company user first and last name.
quoteNumberstringOptional
Enter a full or partial quote number to retrieve relevant quotes.
companystringOptional
Enter a Company name to retrieve relevant quotes. The response only retrieves quotes from a buyer's Company account by default.
salesRepstringOptional
The name of the sales rep assigned to the quote.
statusenumOptional

The frontend status of the quote. Note that these are not the same as statuses observed in the B2B Edition control panel. See Quote Statuses for more information.

Allowed values:
quoteTitlestringOptional
The external title given to the quote.
createdBystringOptional
The name of the sales rep or buyer who created the quote.
dateCreatedBeginAtstringOptional
Enter a date to retrieve all quotes created after that time.
dateCreatedEndAtstringOptional
Enter a date to retrieve all quotes created before that time.
dateUpdatedBeginAtstringOptional
Enter a date to retrieve all quotes modified after that time.
dateUpdatedEndAtstringOptional
Enter a date to retrieve all quotes modified before that time.
dateExpiredBeginAtstringOptional
Enter a date to retrieve all quotes that expired after that time.
dateExpiredEndAtstringOptional
Enter a date to retrieve all quotes that expired before that time.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]